<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:orientation="horizontal">

    <com.lightgame.view.CheckableImageView
        android:id="@+id/selectIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center"
        android:layout_marginLeft="16dp"
        android:src="@drawable/selector_ic_history"
        android:visibility="gone"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/rightContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/content_container"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:paddingLeft="7dp"
            android:paddingRight="16dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <View
                android:id="@+id/top_line"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginLeft="9dp"
                android:background="@color/ui_divider"
                android:visibility="gone"
                app:layout_constraintTop_toTopOf="parent"
                tools:visibility="visible" />

            <View
                android:id="@+id/unread_hint"
                android:layout_width="4dp"
                android:layout_height="4dp"
                android:layout_marginBottom="18dp"
                android:background="@drawable/oval_message_hint_bg"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@id/title"
                app:layout_constraintLeft_toLeftOf="@id/title" />

            <com.gh.gamecenter.common.view.AvatarBorderView
                android:id="@+id/user_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="11dp"
                app:avatar_width="36dp"
                app:badge_width="12dp"
                app:border_color="@color/black_alpha_10"
                app:border_width="1px"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:layout_height="54dp"
                tools:layout_width="54dp" />

            <TextView
                android:id="@+id/user_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="3dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:maxLength="12"
                android:maxLines="1"
                android:textColor="@color/text_primary"
                android:textSize="14sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toTopOf="@id/timeContainer"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintLeft_toRightOf="@id/user_icon"
                app:layout_constraintRight_toLeftOf="@+id/user_badge_icon"
                app:layout_constraintTop_toTopOf="@id/user_icon"
                app:layout_constraintVertical_chainStyle="packed"
                tools:text="我的名字很长我的名字很长我的名字很长" />

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/user_badge_icon"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="8dp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="@id/user_name"
                app:layout_constraintLeft_toRightOf="@id/user_name"
                app:layout_constraintRight_toLeftOf="@+id/user_badge_name"
                app:layout_constraintTop_toTopOf="@id/user_name"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/user_badge_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:gravity="center"
                android:maxLines="1"
                android:textColor="@color/text_tertiary"
                android:textSize="10sp"
                android:visibility="gone"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="@id/user_badge_icon"
                app:layout_constraintLeft_toRightOf="@id/user_badge_icon"
                app:layout_constraintRight_toLeftOf="@+id/concernBtn"
                app:layout_constraintTop_toTopOf="@id/user_badge_icon"
                tools:text="答题先锋答题先锋答题先锋答题先锋答题先锋答题先锋" />

            <TextView
                android:id="@+id/concernBtn"
                style="@style/PrimaryLightButton"
                android:layout_width="56dp"
                android:layout_height="28dp"
                android:gravity="center"
                android:text="@string/concern"
                android:textSize="12sp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/user_icon"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/user_icon"
                tools:visibility="visible" />

            <LinearLayout
                android:id="@+id/timeContainer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="3dp"
                android:layout_marginTop="4dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="@id/user_icon"
                app:layout_constraintLeft_toRightOf="@id/user_icon"
                app:layout_constraintTop_toBottomOf="@id/user_name">

                <TextView
                    android:id="@+id/statusTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@drawable/ic_forum_pending"
                    android:drawablePadding="2dp"
                    android:textSize="11sp"
                    tools:text="内容审核中"
                    tools:textColor="@color/text_tertiary" />

                <TextView
                    android:id="@+id/authTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_tertiary"
                    android:textSize="@dimen/little_secondary_size"
                    android:visibility="visible"
                    tools:text="认证名称" />

                <TextView
                    android:id="@+id/time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_tertiary"
                    android:textSize="11sp"
                    tools:text=" · 1分钟前"
                    tools:visibility="visible" />
            </LinearLayout>

            <com.gh.gamecenter.common.view.TrimmedPaddingTextView
                android:id="@+id/title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="9dp"
                android:layout_marginTop="3dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:lineSpacingExtra="4dp"
                android:maxLines="2"
                android:textColor="@color/text_primary"
                android:textSize="16sp"
                android:textStyle="bold"
                app:layout_constraintTop_toBottomOf="@id/user_icon"
                tools:text="本名李嘉恆，加拿大籍華人，出生於廣東省廣州，2012年在韓國出道，曾為韓國男子組合EXO成員及中國分隊EXO-M隊長。" />

            <com.gh.gamecenter.common.view.TrimmedPaddingTextView
                android:id="@+id/questionTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="9dp"
                android:layout_marginTop="7dp"
                android:background="@drawable/bg_shape_space_radius_8"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:lineSpacingExtra="4dp"
                android:maxLines="2"
                android:paddingLeft="12dp"
                android:paddingTop="10dp"
                android:paddingRight="12dp"
                android:paddingBottom="10dp"
                android:textColor="@color/text_primary"
                android:textSize="14sp"
                android:textStyle="bold"
                android:visibility="gone"
                app:layout_constraintTop_toBottomOf="@+id/title"
                tools:text="本名李嘉恆，加拿大籍華人，出生於廣東省廣州，2012年在韓國出道，曾為韓國男子組合EXO成員及中國分隊EXO-M隊長。"
                tools:visibility="visible" />

            <com.gh.gamecenter.common.view.TrimmedPaddingTextView
                android:id="@+id/content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="9dp"
                android:layout_marginTop="8dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:lineSpacingExtra="4dp"
                android:maxLines="2"
                android:textColor="@color/text_secondary"
                android:textSize="14sp"
                app:layout_constraintTop_toBottomOf="@+id/questionTitle"
                tools:text="2012年在韓國出道，曾為韓國男子組合EXO成員及中國分隊EXO-M隊長。2014年解約回國後出演多部電影，開啟其演員生涯。2015年11月，發行首張中文單曲《Bad Girl》，開啟其個人歌手生涯。2016年11月，發行首張英文單曲《JULY》，正式開啟嘻哈音樂之路。" />

            <com.gh.common.view.ImageContainerView
                android:id="@+id/image_container"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="9dp"
                android:layout_marginTop="12dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/content"
                app:offset="32dp" />

            <com.gh.gamecenter.forum.home.ArticleItemVideoView
                android:id="@+id/horizontalVideoView"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginLeft="9dp"
                android:layout_marginTop="12dp"
                android:visibility="gone"
                app:layout_constraintDimensionRatio="w,1:1.78"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/content" />

            <com.gh.gamecenter.forum.home.ArticleItemVideoView
                android:id="@+id/verticalVideoView"
                android:layout_width="212dp"
                android:layout_height="282dp"
                android:layout_marginLeft="9dp"
                android:layout_marginTop="12dp"
                android:visibility="gone"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/content" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/popularAnswerContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="16dp"
                android:paddingLeft="12dp"
                android:paddingTop="8dp"
                android:paddingRight="12dp"
                android:paddingBottom="12dp"
                android:visibility="gone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/image_container"
                tools:visibility="visible">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/popularAnswerUserIcon"
                    style="@style/frescoCircleStyle"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:roundingBorderColor="@color/black_alpha_10"
                    app:roundingBorderWidth="0.5dp" />

                <TextView
                    android:id="@+id/popularAnswerUserName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_theme"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="@+id/popularAnswerUserIcon"
                    app:layout_constraintStart_toEndOf="@+id/popularAnswerUserIcon"
                    app:layout_constraintTop_toTopOf="@+id/popularAnswerUserIcon"
                    tools:text="原神大佬" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:includeFontPadding="false"
                    android:text="回答了问题："
                    android:textColor="@color/text_tertiary"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="@+id/popularAnswerUserName"
                    app:layout_constraintStart_toEndOf="@+id/popularAnswerUserName"
                    app:layout_constraintTop_toTopOf="@+id/popularAnswerUserName" />

                <TextView
                    android:id="@+id/popularAnswerContent"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:maxLines="1"
                    android:textColor="@color/text_secondary"
                    android:textSize="13sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/popularAnswerUserIcon"
                    tools:text="雷泽是当前版本极具代表性的4星主C角色，其定位为物理输出为主，雷伤输出为辅的物理型" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/bottomContainer"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:orientation="horizontal"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/content_container">

            <LinearLayout
                android:id="@+id/forumNameLl"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:gravity="center_vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/forumNameContainer"
                    android:layout_width="wrap_content"
                    android:layout_height="24dp"
                    android:layout_marginLeft="16dp"
                    android:background="@drawable/bg_shape_space_radius_8"
                    android:orientation="horizontal">

                    <com.gh.gamecenter.feature.view.GameIconView
                        android:id="@+id/forumIcon"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        app:gameIconBorderColor="@color/resource_border"
                        app:gameIconBorderWidth="0.5dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toLeftOf="@+id/forumNameTv"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/forumNameTv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="8dp"
                        android:layout_marginRight="8dp"
                        android:drawableRight="@drawable/ic_select_forum"
                        android:drawablePadding="8dp"
                        android:ellipsize="end"
                        android:includeFontPadding="false"
                        android:maxLines="1"
                        android:textColor="@color/text_tertiary"
                        android:textSize="11sp"
                        app:layout_constrainedWidth="true"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toRightOf="@+id/forumIcon"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="地下城与勇士地下城与勇士地下城与勇士" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </LinearLayout>

            <include
                android:id="@+id/include_vote_and_comment"
                layout="@layout/piece_community_vote_and_comment"
                android:layout_width="160dp"
                android:layout_height="64dp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/content_container" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>
